List tasks
GET
/v1/tasks
const url = 'https://api.meridiantrack.com/v1/tasks';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.meridiantrack.com/v1/tasks \ --header 'X-API-Key: <X-API-Key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”projectId
string
Filter tasks by project ID
Responses
Section titled “Responses”List of tasks
Media typeapplication/json
object
items
Array<object>
object
id
string
projectId
string
name
string
timeEstimateMinutes
integer
billable
boolean
active
boolean
sortOrder
integer
createdAt
string format: date-time
updatedAt
string format: date-time
Examplegenerated
{ "items": [ { "id": "example", "projectId": "example", "name": "example", "timeEstimateMinutes": 1, "billable": true, "active": true, "sortOrder": 1, "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z" } ]}